import nunjucks from "nunjucks"
import path from "path"
import fs from "fs"
enum Explicit {"clean","yes","no"}
interface Owner {
  name: string;
  email: string;
}

export namespace Template{
  
  export interface FeedConfig {
    title: string;
    subtitle: string;
    feedUrl: string;
    homepage:string;
    description: string;
    language: string;
    updatePeriod: string;
    updateFrequency: number;
    logo: string;
    author: string;
    owner: {
      name: string,
      email: string,
    };
    explicit: Explicit;
    copyright: string;
    categories: object;
    lastBuildDate? :string
    posts?: any
  }
  export function generateFeed(context:FeedConfig){

    let env = new nunjucks.Environment();
    env.addFilter('date_to_rfc822', str => (new Date(str)).toUTCString())

    let templatePath = path.join(__dirname,"../template/feed.xml")
    let compileTemplate = nunjucks.compile(fs.readFileSync(templatePath,"utf-8"),env);
    context.lastBuildDate = (new Date()).toUTCString()
    return compileTemplate.render(context);
  }
}